pipe-checksum(1)

NAME
pipe-checksum - Write stdin to file and create a file with the checksum of the data

SYNOPSIS
pipe-checksum file [-D MD5|SHA1|SHA256|SHA384|SHA512|... | - -digest MD5|SHA1|SHA256|SHA384|SHA512|...]
pipe-checksum [-h | - -help]
pipe-checksum [- -version]

DESCRIPTION
pipe-checksum writes all data from standard input into a given file "<file>". Furthermore, it computes the checksum of the data and writes it to a new file "<file>.checksum". The used message digest algorithm can be configured, it defaults to SHA256. The checksum format is BSD-style checksum format, as written for example by the sha256sum tool. Therefore, any tool supporting this format can be used for comparison.

ARGUMENTS
The following arguments may be provided:

-D MD5|SHA1|SHA256|SHA384|SHA512|... | - -digest MD5|SHA1|SHA256|SHA384|SHA512|...
    Sets the message digest. Any digest supported by the underlying libcrypto library is possible. Calling pipe-checksum with no options, or with invalid digest, provides the list of all supported digests. Default: SHA256.

-h | - -help
    Prints command help.

- -version
    Prints program version.

EXAMPLES

date | pipe-checksum date.txt

sha256sum --check date.txt.checksum

date | pipe-checksum date.txt --digest SHA384

dd if=/dev/urandom bs=12345 count=67 | hexdump | pipe-checksum random.txt

dd if=/dev/urandom bs=12345 count=67 | pipe-checksum random.txt --digest SHA512

sha512sum --check random.txt.checksum

pipe-checksum --version

pipe-checksum --h

AUTHORS
Thomas Dreibholz
https://www.nntb.no/~dreibh/hipercontracer
mailto://dreibh@simula.no